Changes since version 1.65.1 (2004-03-09)

Changes to xsl/*

  | 2004-09-19  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* VERSION: Move to 1.66.1.
  | 
  | 2004-09-11  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* RELEASE-NOTES.xml: Fixed broken CVS keyword.
  | 
  | 	* RELEASE-NOTES.xml: Updated release notes for version 1.66.0
  | 
  | 	* VERSION: Updated version to 1.66.0
  | 
  | 2004-09-02  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* RELEASE-NOTES.xml: Updated for release 1.66.
  | 

Changes to xsl/common/*

  | 2004-09-18  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* targetdatabase.dtd: Changed the page element to an
  | 	  attribute.
  | 
  | 2004-09-17  <petere78@users.sourceforge.net>
  | 
  | 	* Makefile, l10n.xml: Bosnian translation by Kemal Skripic
  | 
  | 2004-09-17  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* l10n.xml: Added &bs; entity reference.
  | 
  | 	* pi.xsl: Fix Xalan date-time bug.
  | 
  | 2004-09-13  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* olink.xsl: Fixed bug in olink resolution.
  | 
  | 2004-09-09  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* common.xsl: Fixed bug in xml:base resolution not recursing
  | 	  through the ancestors.
  | 
  | 2004-09-06  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* olink.xsl: remove duplicate make.gentext.template and
  | 	  substitute.markup templates.
  | 
  | 2004-08-26  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* labels.xsl: Added component.label.includes.part.label
  | 	  parameter to appendices and other component elements.
  | 
  | 	* labels.xsl: Add component.label.includes.part.label
  | 	  parameter to add part number to chapter labels when
  | 	  $label.from.part is nonzero.
  | 
  | 2004-08-19  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* l10n.xsl: Fixed variable name
  | 
  | 2004-08-15  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* l10n.xsl: Another select optimization.
  | 
  | 	* l10n.xsl: lang attribute select statement optimized.
  | 
  | 2004-08-11  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* titles.xsl: In no.anchor.mode, test for any link descendants
  | 	  and switch to normal formatting if there are none. This
  | 	  preserves formatting in titleabbrev for TOC and headers.
  | 
  | 2004-08-09  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* Makefile: Make each locale file dependent on en.xml to pick
  | 	  up any new items so that all locale files at least have all
  | 	  items, even if not yet translated.
  | 
  | 	* gentext.xsl: Added olink docname placeholder to
  | 	  substitute.markup and make.gentext.template.
  | 
  | 2004-08-08  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* olink.xsl: New file.
  | 
  | 2004-07-20  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* titles.xsl: titleabbrev.markup mode was not getting a book's
  | 	  titleabbrev in bookinfo.
  | 
  | 2004-06-26  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* common.xsl: Added helper templates to resolve xml:base
  | 	  attributes.
  | 
  | 	* common.xsl: Changed @fileref processing to support xml:base.
  | 
  | 2004-06-20  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* gentext.xsl, labels.xsl: Added support for new
  | 	  section.autolabel.max.depth to turn off section numbering
  | 	  below a certain depth.
  | 
  | 2004-06-16  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* common.xsl: Removed 'entry' from xsl:strip-space element
  | 	  list because it can contain #PCDATA.
  | 
  | 2004-06-14  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* gentext.xsl: Add support for xrefstyle attrib in olinks.
  | 
  | 2004-06-11  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* l10n.xml: Added missing ar.xml and hr.xml.
  | 
  | 2004-05-28  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* gentext.xsl, targets.xsl, titles.xsl: Eliminated spurious
  | 	  error messages when collecting olink targets.
  | 
  | 2004-05-19  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* gentext.xsl: Fixed misplaced "
  | 
  | 2004-04-26  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* gentext.xsl: For procedure object.title.template, use formal
  | 	  only if title actually present.
  | 
  | 2004-04-21  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* labels.xsl: Template label.this.section controls whole
  | 	  section label, not only sub-label which corresponds to
  | 	  particular label. Former behaviour was IMHO bug as it was
  | 	  not usable.
  | 
  | 2004-04-12  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* table.xsl: Fixed bug #880044 in which rowsep or colsep
  | 	  attributes on the table or informaltable element had no
  | 	  effect.
  | 
  | 2004-04-11  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* targets.xsl: Another bad parameter name fixed.
  | 
  | 	* targets.xsl: Bug # 907582: incorrect parameter name fixed.
  | 
  | 2004-03-10  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* targets.xsl: Fixed bug whereby bibliography entries were not
  | 	  getting into the olink database.
  | 

Changes to xsl/fo/*

  | 2004-09-19  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* block.xsl: In abstract, only call title template if it has a
  | 	  title child.
  | 
  | 	* block.xsl: Removed obsolete 'title' param call in abstract
  | 	  template.
  | 
  | 	* titlepage.xsl: Removed obsolete title parameter usage from
  | 	  abstract's template.
  | 
  | 	* titlepage.xsl: Removed obsolete 'title' parameter usage from
  | 	  legalnotice template call.
  | 
  | 	* xref.xsl: Added default params to olink.outline template.
  | 
  | 2004-09-02  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* biblio.xsl, component.xsl, division.xsl, glossary.xsl,
  | 	  index.xsl, pagesetup.xsl, refentry.xsl, sections.xsl,
  | 	  toc.xsl: Added templates to set initial-page-number and
  | 	  force-page-count for page-sequences so they can be
  | 	  customized.
  | 
  | 	* xref.xsl: fixed bug in listitem xref-to.
  | 
  | 2004-09-01  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* footnote.xsl, xref.xsl: Footnote numbers doesn't count
  | 	  <ulink url="..."/>
  | 
  | 2004-08-30  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* autoidx.xsl: Fixed bug where an indexterm seealso turned off
  | 	  the primary page number.
  | 
  | 2004-08-26  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* autoidx-ng.xsl: Sort language is taken from document not
  | 	  from system environment
  | 
  | 2004-08-26  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* param.ent, param.xweb: Added
  | 	  component.label.includes.part.label parameter.
  | 
  | 2004-08-19  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* footnote.xsl, xref.xsl: Numbering and formatting of normal
  | 	  and ulink footnotes has been unifyed.
  | 
  | 2004-08-17  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* component.xsl: article/appendix title now uses
  | 	  object.title.markup to get number labels.
  | 
  | 2004-08-16  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* graphics.xsl: add eps to the filenames extensions support by
  | 	  fop.
  | 
  | 2004-08-15  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* pagesetup.xsl, param.ent, param.xweb: Added
  | 	  footnote.sep.leader.properties attribute set.
  | 
  | 	* sections.xsl: Added support for @renderas in section and
  | 	  sect1 et al.
  | 
  | 2004-08-14  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* lists.xsl: Output ids on segmentedlist blocks so links can
  | 	  work.
  | 
  | 2004-08-13  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* footnote.xsl: RFE 782817, added support for @label in
  | 	  footnote.
  | 
  | 	* titlepage.xsl: Add id to legalnotice block so can be linked
  | 	  to.
  | 
  | 2004-08-12  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* biblio.xsl, component.xsl, division.xsl, glossary.xsl,
  | 	  index.xsl, pagesetup.xsl, refentry.xsl, sections.xsl,
  | 	  toc.xsl: Added master-reference parameter to
  | 	  page.number.format template to permit customizations to use
  | 	  the master-reference instead of element.
  | 
  | 2004-08-11  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* biblio.xsl, titlepage.xsl: Added support for 4.3 corpcredit
  | 	  element.
  | 
  | 	* formal.xsl: Added support for a dbfo keep-together PI for
  | 	  formal objects so one can be broken if very long and the
  | 	  default keep-together is not appropriate.
  | 
  | 	* graphics.xsl: Removed PDF from fop image support, and added
  | 	  EPS to fop image support.
  | 
  | 	* graphics.xsl: Made file extension selection case
  | 	  insensitive, and updated the list of graphics extensions.
  | 
  | 	* lists.xsl: Fixed bug 958433: simplelist table error in FOP.
  | 	  Also added support for a PI to set the table width.
  | 
  | 2004-08-09  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* docbook.xsl, fo.xsl, param.ent, param.xweb, xref.xsl:
  | 	  Extended full olink support to FO output.
  | 
  | 2004-07-25  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* lists.xsl: Allow calloutlist to have block content before
  | 	  the first callout
  | 
  | 2004-07-22  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* graphics.xsl: Added missing id to mediaobject fo:block.
  | 
  | 2004-06-29  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* pi.xsl: Turn off dbfo-need when using FOP because it doesn't
  | 	  work with fop.
  | 
  | 2004-06-27  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* pi.xsl: Added dbfo-need processing instruction to provide
  | 	  soft page breaks.
  | 
  | 2004-06-26  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* graphics.xsl: @fileref now resolves xml:base attributes.
  | 
  | 	* graphics.xsl: Changed @fileref processing to support
  | 	  xml:base.
  | 
  | 2004-06-21  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* formal.xsl: Use informaltable.properties,
  | 	  informalfigure.properties, informalexample.properties,
  | 	  informalequation.properties to allow separate formatting if
  | 	  needed.
  | 
  | 	* param.ent, param.xweb: Fixed names of informal*.properties.
  | 
  | 	* param.ent, param.xweb: Added informal.figure.properties,
  | 	  informal.table.properties, informal.equation.properties, and
  | 	  informal.example.properties so each element can be formatted
  | 	  individually if needed.
  | 
  | 2004-06-20  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* param.ent, param.xweb: Added section.autolabel.max.depth
  | 	  parameter to control the depth of section numbering.
  | 
  | 2004-06-14  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* autoidx-ng.xsl: Updated i18n indexing method to support new
  | 	  type attribute and index.on.type parameter
  | 
  | 2004-06-14  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* autoidx.xsl: Process multiple seealso's when they are
  | 	  present in an indexterm.
  | 
  | 2004-06-13  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* autoidx.xsl: Added support for $index.on.type for new 'type'
  | 	  attribute for indexterm and index.
  | 
  | 	* param.ent, param.xweb: Added index.on.type to support new
  | 	  'type' attribute in indexterm and index.
  | 
  | 2004-05-26  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* graphics.xsl: Added implementation of existing but unused
  | 	  $default.image.width parameter for graphics.
  | 
  | 2004-05-25  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* inline.xsl: Support DocBook NG 'tag' element
  | 
  | 2004-05-22  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* table.xsl: Added placeholder templates table.cell.properties
  | 	  and table.cell.block.properties to enable adding properties
  | 	  to any fo:table-cell or the cell's fo:block.
  | 
  | 2004-05-20  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* pagesetup.xsl: Also fixed footer.column.widths for
  | 	  single-sided output.
  | 
  | 	* pagesetup.xsl: Fixed header.column.widths for single-sided
  | 	  output.
  | 
  | 2004-05-16  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* autoidx-ng.xsl: Added support for index.on.role into
  | 	  internatinalized indexing
  | 
  | 2004-05-16  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* footnote.xsl: Added text-align="{$alignment}" to footnote
  | 	  body properties so it doesn't inherit a center or right
  | 	  alignment from its paragraph.
  | 
  | 	* pagesetup.xsl: FOP now supports xsl-foonote-separator region
  | 	  to draw the horiz rule.
  | 
  | 2004-05-07  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* autotoc.xsl: Added 'index' to selected nodes for
  | 	  component.toc. Since it is permitted by the DTD, it should
  | 	  be in the TOC.
  | 
  | 2004-04-29  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* biblio.xsl, component.xsl, division.xsl, glossary.xsl,
  | 	  index.xsl, refentry.xsl, sections.xsl, toc.xsl: Added
  | 	  force-page-count="end-on-even" to each page-sequence when
  | 	  double-sided output so last page of document ends on even
  | 	  page.
  | 
  | 2004-04-21  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* formal.xsl: Apply informal.object.properties to informal
  | 	  objects.
  | 
  | 	* table.xsl: Recent versions of XEP work much better without
  | 	  this workaround.
  | 
  | 2004-04-18  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* autoidx.xsl: Add support for generating an index containing
  | 	  only those terms with a matching role attribute.
  | 
  | 	* param.ent, param.xweb: Added index.on.role parameter.
  | 
  | 2004-04-12  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* htmltbl.xsl: Now HTML tables have their id attribute so
  | 	  links from the list of tables and xrefs to the tables work.
  | 
  | 2004-04-11  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* autotoc.xsl: Fixes bug #814589, so that refentry in an
  | 	  appendix is now listed in the table of contents.
  | 
  | 	* pdf2index: Applied patch from contributor to fix number
  | 	  sorting.
  | 
  | 	* verbatim.xsl: Fixed bug #875943 where programlisting and
  | 	  literallayout were not getting an id attribute in the fo
  | 	  output.
  | 
  | 2004-04-10  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* lists.xsl: Fixed bug #699224 where nested lists had too much
  | 	  space between last nested item and next outer item.
  | 
  | 	* pagesetup.xsl: Fixed bug #800335 where single-sided output
  | 	  was getting mirrored margins.
  | 
  | 	* qandaset.xsl: Fixed bug #695030 where revhistory in
  | 	  qandaentry messed up list-block.
  | 
  | 2004-04-08  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* xep.xsl: Only first author in the document gets into PDF
  | 	  metainformation. Not all authors which are 1st childs of
  | 	  their parents (e.g. author in biblioentry).
  | 
  | 2004-04-01  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* autoidx.xsl, index.xsl: Fixed bugs # 925117 and #894564
  | 	  related to XEP index support.
  | 
  | 2004-03-25  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* component.xsl, param.ent, param.xweb: Added new attribute
  | 	  set component.title.properties for easy modifications of
  | 	  component's title formatting in FO output.
  | 
  | 	* graphics.xsl: Support default textdata encoding also on
  | 	  files included via imagedata and inlinegraphics.
  | 
  | 	* verbatim.xsl: wrap property for monospaced verbatim
  | 	  environments moved to attribute set so it can be overriden
  | 	  in customization layer.
  | 
  | 2004-03-24  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* graphics.xsl, param.ent, param.xweb: Added Saxon support for
  | 	  encoding attribute on textdata. Added new parameter
  | 	  textdata.default.encoding which specifies encoding when
  | 	  encoding attribute on textdata is missing.
  | 

Changes to xsl/html/*

  | 2004-09-19  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* xref.xsl: Added a class attribute to anchors for olink cross
  | 	  references.
  | 
  | 2004-09-13  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* xref.xsl: Fixed bug in olink resolution.
  | 
  | 2004-08-26  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* autoidx-ng.xsl: Sort language is taken from document not
  | 	  from system environment
  | 
  | 2004-08-26  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* param.ent, param.xweb: Added
  | 	  component.label.includes.part.label parameter.
  | 
  | 2004-08-19  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* Makefile.param: Numbering and formatting of normal and ulink
  | 	  footnotes has been unifyed.
  | 
  | 2004-08-15  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* sections.xsl: Add support for @renderas to section and sect1
  | 	  et al headings.
  | 
  | 2004-08-14  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* lists.xsl: Add call to anchor template for seglistitem so it
  | 	  can be linked to.
  | 
  | 	* lists.xsl: Added class attributes for segmentedlist elements
  | 	  for table presentation.
  | 
  | 	* lists.xsl: Fix bug #983042 to make segmentedlist HTML markup
  | 	  more semantic and available to CSS styles.
  | 
  | 2004-08-13  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* chunk-code.xsl: Fixed bug #967909 incorrect 'next' link for
  | 	  index in chapter.
  | 
  | 	* chunk-common.xsl: index is defined as chunk only if
  | 	  $generate.index != 0.
  | 
  | 	* chunk-common.xsl, docbook.xsl, graphics.xsl, titlepage.xsl:
  | 	  Bug 955623: Added user.preroot placeholder template to
  | 	  permit xsl-stylesheet and other PIs and comments to be
  | 	  output before the HTML root element.
  | 
  | 	* footnote.xsl: RFE 782817, added support for @label in
  | 	  footnote.
  | 
  | 	* titlepage.xsl: Non-chunked legalnotice now gets an <a
  | 	  name="id"> so it can be referenced with xref or link.
  | 
  | 2004-08-12  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* graphics.xsl, param.ent, param.xweb: For RFE 790517, added
  | 	  parameter img.src.path as a prefix to HTML img src
  | 	  attributes.
  | 
  | 2004-08-11  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* biblio.xsl, titlepage.xsl: Added support for 4.3 corpcredit
  | 	  element.
  | 
  | 	* chunk-common.xsl: Changed link rel="home" to rel="start",
  | 	  and link rel="previous" to rel="prev", per W3C HTML 4.01
  | 	  spec.
  | 
  | 	* graphics.xsl: Made file extension selection case
  | 	  insensitive.
  | 
  | 2004-08-09  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* docbook.xsl: Now includes common/olink.xsl after olink
  | 	  rewrite.
  | 
  | 	* param.ent, param.xweb, xref.xsl: Rewrote olink templates to
  | 	  support new features.
  | 
  | 2004-08-06  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* graphics.xsl: Fixed bug where ximg:getDepth was using
  | 	  $nominal.image.width instead of depth.
  | 
  | 	* table.xsl: Fixed Bug #840187 entrytbl needs width="100%" on
  | 	  the table element.
  | 
  | 2004-07-25  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* lists.xsl: Allow calloutlist to have block content before
  | 	  the first callout
  | 
  | 2004-07-18  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* titlepage.xsl: Added collabname in titlepage.mode.
  | 
  | 2004-06-26  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* chunk-code.xsl, graphics.xsl: @fileref now resolves xml:base
  | 	  attributes.
  | 
  | 	* graphics.xsl: Changed @fileref processing to support
  | 	  xml:base.
  | 
  | 2004-06-20  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* param.ent, param.xweb: Added section.autolabel.max.depth
  | 	  parameter.
  | 
  | 2004-06-14  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* Makefile.param, autoidx-ng.xsl: Updated i18n indexing method
  | 	  to support new type attribute and index.on.type parameter
  | 
  | 2004-06-14  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* xref.xsl: Added support for xrefstyle attrib in olinks.
  | 
  | 2004-06-13  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* autoidx.xsl: Removed extraneous 'see' template under teriary
  | 	  seealso processing.
  | 
  | 	* autoidx.xsl: Added support for index.on.type to support new
  | 	  type attribute on indexterm an index.
  | 
  | 	* chunk-code.xsl: Fixed bug in generated filename for separate
  | 	  TOC chunk.
  | 
  | 	* param.ent, param.xweb: Added index.on.type parameter to
  | 	  support new 'type' attribute on indexterms and index.
  | 
  | 2004-05-28  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* autoidx.xsl: Fix for bug #893438: only first seealso
  | 	  processed.
  | 
  | 	* xref.xsl: Remove spurious error messages during xref target
  | 	  collection for olinks.
  | 
  | 2004-05-25  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* block.xsl: Move blockquote attributions over a bit
  | 
  | 2004-05-17  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* autoidx.xsl: Fixed bug in Symbols section when index.on.role
  | 	  value used.
  | 
  | 2004-05-16  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* autoidx-ng.xsl: Added support for index.on.role into
  | 	  internatinalized indexing
  | 
  | 2004-05-07  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* autotoc.xsl: Added 'index' to selected nodes for
  | 	  component.toc. Since it is permitted by the DTD, it should
  | 	  be in the TOC.
  | 
  | 2004-04-26  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* lists.xsl: Fix for procedure not getting an anchor if it has
  | 	  a title.
  | 
  | 2004-04-21  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* chunk-code.xsl: Add make.lot.chunk template to generate
  | 	  separate LoT files.
  | 
  | 2004-04-19  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* chunk-code.xsl: Changed make.lots to support the new
  | 	  chunk.separate.lots parameter.
  | 
  | 	* param.ent, param.xweb: Added chunk.separate.lots parameter.
  | 
  | 	* xref.xsl: Now reports proper error if $current.docid
  | 	  parameter used but the value is not found in target
  | 	  database.
  | 
  | 2004-04-18  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* autoidx.xsl: Add support for generating an index containing
  | 	  only those terms with a matching role attribute.
  | 
  | 	* param.ent, param.xweb: Added index.on.role parameter.
  | 
  | 2004-04-11  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* admon.xsl: Fixed bug #872941 where admonition graphic 'alt'
  | 	  text was not translated.
  | 
  | 	* autotoc.xsl: Fixes bug #814589, so that refentry in an
  | 	  appendix is now listed in the table of contents.
  | 
  | 	* formal.xsl: Fixed bug #881546 where an HTML table was not
  | 	  getting a generated ID so the link to it from the TOC
  | 	  failed.
  | 
  | 	* formal.xsl: Added title parameter to formal.object.heading
  | 	  since the match="abstract" template is trying to use it with
  | 	  such a parameter.
  | 
  | 2004-03-25  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* graphics.xsl: Support default textdata encoding also on
  | 	  files included via imagedata and inlinegraphics.
  | 
  | 2004-03-25  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* graphics.xsl: Fix typo in attribute quoting
  | 
  | 2004-03-24  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* Makefile.param, graphics.xsl, param.ent, param.xweb: Added
  | 	  Saxon support for encoding attribute on textdata. Added new
  | 	  parameter textdata.default.encoding which specifies encoding
  | 	  when encoding attribute on textdata is missing.
  | 

Changes to xsl/htmlhelp/*

  | 2004-08-19  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* htmlhelp-common.xsl: Added several patches from W. Borgert
  | 

Changes to xsl/lib/*

  | 2004-08-11  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* lib.xweb: Fixed problem of PI name suffix being matched
  | 	  instead of whole name.
  | 

Changes to xsl/params/*

  | 2004-08-26  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* component.label.includes.part.label.xml: New file.
  | 
  | 2004-08-19  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* footnote.sep.leader.properties.xml: Fixed WF error
  | 
  | 2004-08-15  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* footnote.sep.leader.properties.xml: New file.
  | 
  | 2004-08-12  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* arbortext.extensions.xml, axf.extensions.xml,
  | 	  fop.extensions.xml, passivetex.extensions.xml,
  | 	  xep.extensions.xml: Mentioned that the parameter also
  | 	  affects which graphics file formats are supported.
  | 
  | 	* img.src.path.xml: New file.
  | 
  | 2004-08-09  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* insert.olink.page.number.xml, insert.olink.pdf.frag.xml,
  | 	  olink.debug.xml, olink.doctitle.xml,
  | 	  olink.lang.fallback.sequence.xml, olink.properties.xml,
  | 	  prefer.internal.olink.xml: New parameters to support new
  | 	  olink features.
  | 
  | 2004-06-22  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* index.on.role.xml: Mentioned index.on.type for 4.3 users.
  | 
  | 	* index.on.role.xml, index.on.type.xml: Changed the default
  | 	  value to zero.
  | 
  | 2004-06-21  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* informalequation.properties.xml,
  | 	  informalexample.properties.xml,
  | 	  informalfigure.properties.xml, informaltable.properties.xml:
  | 	  New file.
  | 
  | 2004-06-20  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* section.autolabel.max.depth.xml: New file.
  | 
  | 2004-06-13  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* index.on.type.xml: New file.
  | 
  | 2004-04-19  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* chunk.separate.lots.xml: New file.
  | 
  | 2004-04-18  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* index.on.role.xml: New file.
  | 
  | 2004-03-25  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* component.title.properties.xml: Added new attribute set
  | 	  component.title.properties for easy modifications of
  | 	  component's title formatting in FO output.
  | 
  | 	* monospace.verbatim.properties.xml: wrap property for
  | 	  monospaced verbatim environments moved to attribute set so
  | 	  it can be overriden in customization layer.
  | 
  | 2004-03-24  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* textdata.default.encoding.xml: New file.
  | 

Changes to xsl/template/*

  | 2004-07-16  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* testtemplate.xml: Marked as obsolete.
  | 
  | 2004-04-25  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* titlepage.xsl: Containers for recto and verso part of
  | 	  titlepage (div or fo:block) are emitted only when there is
  | 	  content for recto/verso titlepage. This prevents emitting
  | 	  empty div elements between chapter/section titles and first
  | 	  para which leads to big space. Fixed bug #930954.
  | 
  | 	* titlepage.xsl: Fixed cut'n'paste mistake. Attributes must be
  | 	  attached to wrapper element, not to variable.
  | 

Changes to xsl/xhtml/*

  | 2004-09-07  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* .cvsignore: I prefer to explicitly list all the files that
  | 	  should be ignored. Really the ones that shouldn't should
  | 	  probably be moved to another directory...
  | 
  | 2004-09-06  Michael Smith <xmldoc@users.sourceforge.net>
  | 
  | 	* .cvsignore: Ignore generated .xsl files. Without this, cvs
  | 	  update reports all generated .xsl files in this directory as
  | 	  unknown. It's a big list, and it'd be a lot easier to read
  | 	  the cvs update output if these files weren't listed every
  | 	  time. Note: This does not cause CVS to ignore the
  | 	  html2xhtml.xsl file or to treat it in any way way
  | 	  differently than it would if the *.xsl line in this
  | 	  .cvsignore file did not exist. It doesn't seem to at least.
  | 	  If that's wrong, this change can always be reverted.
  | 

Changes to xsl/extensions/saxon643/com/nwalsh/saxon/*

  | 2004-09-05  Michael Smith <xmldoc@users.sourceforge.net>
  | 
  | 	* ImageIntrinsics.java: Bug #1022519 - graphics.xsl fails with
  | 	  error about no X11 server Problem Current stylesheets fail
  | 	  when trying to generate output under the following
  | 	  conditions: - Linux/Unix environment - no X server running -
  | 	  document contains graphics - use.extensions enabled This
  | 	  makes it impossible to try to do extensions-enabled
  | 	  automated transformations (e.g., nightly doc builds) in a
  | 	  server environment. Cause Certain methods in the DocBook
  | 	  "ImageIntrisics" extensions class rely on the Java AWT
  | 	  library, which by default expects a running X server. Fix
  | 	  Both the Saxon and Xalan2 versions of the extensions now set
  | 	  the "java.awt.headless" Java 1.4 system property to true.
  | 	  That property tells Java to continue processing AWT-based
  | 	  code even if no running X server is found. The property is
  | 	  set at the beginning of the constructor for the
  | 	  ImageIntrinsics class. Affects This change only affects
  | 	  transformations using Saxon or Xalan2 under the conditions:
  | 	  - Linux/Unix environment - no X server running - document
  | 	  contains graphics - use.extensions enabled
  | 
  | 2004-03-24  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* Text.java: Added Saxon support for encoding attribute on
  | 	  textdata. Added new parameter textdata.default.encoding
  | 	  which specifies encoding when encoding attribute on textdata
  | 	  is missing.
  | 

Changes to xsl/extensions/xalan2/com/nwalsh/xalan/*

  | 2004-09-05  Michael Smith <xmldoc@users.sourceforge.net>
  | 
  | 	* ImageIntrinsics.java: Bug #1022519 - graphics.xsl fails with
  | 	  error about no X11 server Problem Current stylesheets fail
  | 	  when trying to generate output under the following
  | 	  conditions: - Linux/Unix environment - no X server running -
  | 	  document contains graphics - use.extensions enabled This
  | 	  makes it impossible to try to do extensions-enabled
  | 	  automated transformations (e.g., nightly doc builds) in a
  | 	  server environment. Cause Certain methods in the DocBook
  | 	  "ImageIntrisics" extensions class rely on the Java AWT
  | 	  library, which by default expects a running X server. Fix
  | 	  Both the Saxon and Xalan2 versions of the extensions now set
  | 	  the "java.awt.headless" Java 1.4 system property to true.
  | 	  That property tells Java to continue processing AWT-based
  | 	  code even if no running X server is found. The property is
  | 	  set at the beginning of the constructor for the
  | 	  ImageIntrinsics class. Affects This change only affects
  | 	  transformations using Saxon or Xalan2 under the conditions:
  | 	  - Linux/Unix environment - no X server running - document
  | 	  contains graphics - use.extensions enabled
  | 
  | 2004-09-01  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* FormatCallout.java: Checking in Michael Smith's patch to fix
  | 	  Xalan2 compile.
  | 

